[search-guard group] Demo certificates found but searchguard.allow_unsafe_democertificates is set to false

You need to set "searchguard.allow_unsafe_democertificates: true" in elasticsearch.yml, not in sg_config.yml

Pls refer to https://docs.search-guard.com/latest/tls-certificates-installer#allow-demo-certificate-usage

BTW: Java 9 is not officially supported. Please switch to Java 8 or 11 (see https://docs.search-guard.com/latest/search-guard-installation#ensure-that-your-java-virtual-machine-is-supported)

···

Am 19.03.2019 um 15:01 schrieb k.zhelyazkov@sap.com:

When asking questions, please provide the following information:

* Search Guard and Elasticsearch version: 6.5.4-oss-24.0
* JVM version and operating system version: 9

Hi, i am trying to install floragunncom/sg-elasticsearch:6.5.4-oss-24.0 , but I get the following error: "Demo certificates found but searchguard.allow_unsafe_democertificates is set to false".
I tried to add "searchguard.allow_unsafe_democertificates: true" but it did not help. Here is my sg_config file.

--
You received this message because you are subscribed to the Google Groups "Search Guard Community Forum" group.
To unsubscribe from this group and stop receiving emails from it, send an email to search-guard+unsubscribe@googlegroups.com.
To post to this group, send email to search-guard@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/search-guard/9d48ae8d-481f-4ca2-b2de-4728ba30a469%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
<sg_config.txt>